<?php
require_once('models/ModelKorisnik.php');
class Gost{
    
    public function __construct() {       
        //provera da li je korisnik mozda vec ulogovan
        session_start();
        if (isset($_SESSION['korisnik'])) {
                header("Location: ?controller=korisnik&akcija=index");   
        }
    }
    
    public function index($trazi=NULL){
        $controller="gost";
        
        require_once("views/sablon/header_gost.php");
        require_once("views/login.php");
        require_once("views/sablon/footer.php");
    }
          
    //metoda koja ucitava formu za  logovanje
    public function login($korime=NULL, $poruka=NULL,$porukakorime=NULL,$porukalozinka=NULL)
    {
        require_once("views/sablon/header_gost.php");
        require_once("views/login.php");
        require_once("views/sablon/footer.php");
    }
    
    //metoda koja se poziva klikom na submit forme za logovanje
    public function ulogujse(){
        if ($_POST['korime'] == "") {
            $porukakorime = "Polje Korisnicko ime je ostalo prazno.";
        }else
            $porukakorime=NULL;
        if ($_POST['lozinka'] == "") {
            $porukalozinka = "Polje Lozinka je ostalo prazno.";
        } else {
            $porukalozinka=NULL;
        }
        if($_POST['korime']!="" && $_POST['lozinka']!=""){
            $korisnik=KorisnikModel::dohvatiKorisnika($_POST['korime']);
            if ($korisnik==NULL) {
                $this->login($_POST['korime'],"Neispravno korisnicko ime!");
            } else if (!$korisnik->ispravanPassword($_POST['lozinka'])) {
                $this->login($_POST['korime'],"Neispravna lozinka!");
            } else {
                $_SESSION['korisnik']= $korisnik;
                header("Location: ?controller=korisnik&akcija=index");
            }
        } else {
            $this->login($_POST['korime'], NULL,$porukakorime,$porukalozinka);
        }
    }
    
    public function greska(){
        require_once 'views/greska.php';
    }
	
    public function dodavanje(){
        require_once("views/sablon/header_gost.php");
        require_once("views/dodavanje_projekcije.php");
        require_once("views/sablon/footer.php");
    }
	
	public function dodavanjeProjekcije(){
	
	}
}
